# class ItemColor

###

Module | kdeui
Namespace | KConfigSkeleton
Class | ItemColor
Inherits | KConfigSkeletonItem

Class for handling a color preferences item.

### methods

- ItemColor (_group, _key, reference, defaultValue)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  _group | QString |
  _key | QString |
  reference | QColor |
  defaultValue | QColor | QColor(128,128,128)

  KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

- isEqual (p)

  returns bool

  Argument | Type | Default
  --- | --- | ---
  p | QVariant |

  KConfigSkeletonItem.isEqual(const QVariant &)

- property ( )

  returns QVariant

  KConfigSkeletonItem.property()

- readConfig (config)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  config | KConfig |

  KConfigSkeletonItem.readConfig(KConfig*)

- setProperty (p)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  p | QVariant |

  KConfigSkeletonItem.setProperty(const QVariant&)